<?php
  
$account = DB::GET_STRING("SELECT * FROM `USERS` WHERE `ID` = '".$ID."' LIMIT 1");

IF (DB::GET_COLUMN("SELECT COUNT(*) FROM `BAN_USER` WHERE `USER_ID` = '".$ID."' AND `BAN_TIME` > '".TIME()."' LIMIT 1") == 1 || DB::GET_COLUMN("SELECT COUNT(*) FROM `BAN_USER` WHERE `USER_ID` = '".$ID."' AND `BAN` = '1' LIMIT 1") == 1){
  
  $color = "<font color='#939699'>";
  $iban = "<font color='black'>".ICONS('ban', 15, 'fa-fw')."</font>";
  
}ELSE{
  
  $color = "<font color='black'>";
  $iban = NULL;
  
}

IF ($link > 0){
  
  ECHO "<a href='/id".$account['ID']."'>";   

}

IF ($avatar > 0){
  
  ECHO USER::AVATAR($ID, 25)." ";   

}

$upd1 = NULL; //вносимые изменения перед логином
$upd2 = NULL; //вносимые изменения после логина

ECHO "".$color."";

$result = SCANDIR(ROOT.'/system/PHP-classes/user/login/', SCANDIR_SORT_ASCENDING);

FOR ($i = 0; $i < COUNT($result); $i++){
  
  IF (PREG_MATCH('#\.php$#i',$result[$i])){       
    
    REQUIRE (ROOT.'/system/PHP-classes/user/login/'.$result[$i]);
  
  }

}

ECHO $upd1;

ECHO "<b>".$account['LOGIN']."".$iban."</b>";

ECHO $upd2;

ECHO "</font>";

IF ($avatar > 0){
  
  ECHO " ".USER::ONLINE($ID)." ";   

}

IF ($link > 0){
  
  ECHO "</a>";   

}

?>